All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::FaceExtractorCaffe Class Reference

`#include <faceExtractorCaffe.hpp>`

Inherits op::FaceExtractorNet.

## Public Member Functions

| FaceExtractorCaffe (const Point< int > &netInputSize, const Point< int > &netOutputSize, const std::string &modelFolder, const int gpuId, const std::vector< HeatMapType > &heatMapTypes={}, const ScaleMode heatMapScale=ScaleMode::ZeroToOne, const bool enableGoogleLogging=true)
virtual | ~FaceExtractorCaffe ()
void | netInitializationOnThread ()
void | forwardPass (const std::vector< Rectangle< float >> &faceRectangles, const cv::Mat &cvInputData)
Public Member Functions inherited from op::FaceExtractorNet
| FaceExtractorNet (const Point< int > &netInputSize, const Point< int > &netOutputSize, const std::vector< HeatMapType > &heatMapTypes={}, const ScaleMode heatMapScale=ScaleMode::ZeroToOne)
virtual | ~FaceExtractorNet ()
void | initializationOnThread ()
Array< float > | getHeatMaps () const
Array< float > | getFaceKeypoints () const
bool | getEnabled () const
void | setEnabled (const bool enabled)

## Additional Inherited Members

Protected Attributes inherited from op::FaceExtractorNet
const Point< int > | mNetOutputSize
Array< float > | mFaceImageCrop
Array< float > | mFaceKeypoints
Array< float > | mHeatMaps
const ScaleMode | mHeatMapScaleMode
const std::vector< HeatMapType > | mHeatMapTypes
std::atomic< bool > | mEnabled

## Detailed Description

Face keypoint extractor class for Caffe framework.

## Constructor & Destructor Documentation

op::FaceExtractorCaffe::FaceExtractorCaffe | ( | const Point< int > & | netInputSize,
|  | const Point< int > & | netOutputSize,
|  | const std::string & | modelFolder,
|  | const int | gpuId,
|  | const std::vector< HeatMapType > & | heatMapTypes = `{}`,
|  | const ScaleMode | heatMapScale = `ScaleMode::ZeroToOne`,
|  | const bool | enableGoogleLogging = `true`
| ) |  |

Constructor of the FaceExtractor class.

Parameters

  netInputSize | Size at which the cropped image (where the face is located) is resized.
  netOutputSize | Size of the final results. At the moment, it must be equal than netOutputSize.

virtual op::FaceExtractorCaffe::~FaceExtractorCaffe | ( |  | ) |

virtual

## Member Function Documentation

void op::FaceExtractorCaffe::forwardPass | ( | const std::vector< Rectangle< float >> & | faceRectangles,
|  | const cv::Mat & | cvInputData
| ) |  |

virtual

This function extracts the face keypoints for each detected face in the image.

Parameters

  faceRectangles | location of the faces in the image. It is a length-variable std::vector, where each index corresponds to a different person in the image. Internally, a op::Rectangle<float> (similar to cv::Rect for floating values) with the position of that face (or 0,0,0,0 if some face is missing, e.g., if a specific person has only half of the body inside the image).
  cvInputData | Original image in cv::Mat format and BGR format.

Implements op::FaceExtractorNet.

void op::FaceExtractorCaffe::netInitializationOnThread | ( |  | ) |

virtual

This function must be call before using any other function. It must also be called inside the thread in which the functions are going to be used.

Implements op::FaceExtractorNet.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/face/faceExtractorCaffe.hpp